Loading...
Searching...
No Matches
field_lazy_unop< Unop, Expr >

## Detailed Description

template<class Unop, class Expr>
class rheolef::details::field_lazy_unop< Unop, Expr >

Definition at line 47 of file field_lazy_node.h.

Inheritance diagram for field_lazy_unop< Unop, Expr >:

## Public Types

using | base = field_lazy_base< field_lazy_unop< Unop, Expr > >
using | size_type = geo_element::size_type
using | memory_type = typename Expr::memory_type
using | scalar_type = typename Expr::scalar_type
using | space_type = typename Expr::space_type
using | geo_type = typename Expr::geo_type
using | float_type = typename float_traits< scalar_type >::type
using | band_type = band_basic< float_type, memory_type >
using | vector_element_type = Eigen::Matrix< scalar_type, Eigen::Dynamic, 1 >

## Public Member Functions

| field_lazy_unop (const Unop &unop, const Expr &expr)
const geo_type & | get_geo () const
const space_type & | get_space () const
bool | is_on_band () const
band_type | get_band () const
void | initialize (const geo_type &omega_K)
void | evaluate (const geo_type &omega_K, const geo_element &K, vector_element_type &uk) const

## Protected Attributes

Unop | _unop
Expr | _expr

## Additional Inherited Members

Protected Member Functions inherited from field_lazy_base< field_lazy_unop< Unop, Expr > >
field_lazy_unop< Unop, Expr > & | derived ()
const field_lazy_unop< Unop, Expr > & | derived () const

## Member Typedef Documentation

## base

template<class Unop , class Expr >

using base = field_lazy_base<field_lazy_unop<Unop,Expr> >

Definition at line 51 of file field_lazy_node.h.

## size_type

template<class Unop , class Expr >

using size_type = geo_element::size_type

Definition at line 52 of file field_lazy_node.h.

## memory_type

template<class Unop , class Expr >

using memory_type = typename Expr::memory_type

Definition at line 53 of file field_lazy_node.h.

## scalar_type

template<class Unop , class Expr >

using scalar_type = typename Expr::scalar_type

Definition at line 54 of file field_lazy_node.h.

## space_type

template<class Unop , class Expr >

using space_type = typename Expr::space_type

Definition at line 55 of file field_lazy_node.h.

## geo_type

template<class Unop , class Expr >

using geo_type = typename Expr::geo_type

Definition at line 56 of file field_lazy_node.h.

## float_type

template<class Unop , class Expr >

using float_type = typename float_traits<scalar_type>::type

Definition at line 57 of file field_lazy_node.h.

## band_type

template<class Unop , class Expr >

using band_type = band_basic<float_type,memory_type>

Definition at line 58 of file field_lazy_node.h.

## vector_element_type

template<class Unop , class Expr >

using vector_element_type = Eigen::Matrix<scalar_type,Eigen::Dynamic,1>

Definition at line 59 of file field_lazy_node.h.

## Constructor & Destructor Documentation

## field_lazy_unop()

template<class Unop , class Expr >

field_lazy_unop | ( | const Unop & | unop,
|  | const Expr & | expr
| ) |  |

Definition at line 63 of file field_lazy_node.h.

## Member Function Documentation

## get_geo()

template<class Unop , class Expr >

const geo_type & get_geo | ( |  | ) | const

Definition at line 71 of file field_lazy_node.h.

## get_space()

template<class Unop , class Expr >

const space_type & get_space | ( |  | ) | const

Definition at line 72 of file field_lazy_node.h.

## is_on_band()

template<class Unop , class Expr >

bool is_on_band | ( |  | ) | const

Definition at line 73 of file field_lazy_node.h.

## get_band()

template<class Unop , class Expr >

band_type get_band | ( |  | ) | const

Definition at line 74 of file field_lazy_node.h.

## initialize()

template<class Unop , class Expr >

void initialize | ( | const geo_type & | omega_K | ) |

Definition at line 76 of file field_lazy_node.h.

## evaluate()

template<class Unop , class Expr >

void evaluate | ( | const geo_type & | omega_K,
|  | const geo_element & | K,
|  | vector_element_type & | uk
| ) |  | const

Definition at line 94 of file field_lazy_node.h.

## Member Data Documentation

## _unop

template<class Unop , class Expr >

Unop _unop

protected

Definition at line 84 of file field_lazy_node.h.

## _expr

template<class Unop , class Expr >

Expr _expr

protected

Definition at line 85 of file field_lazy_node.h.

The documentation for this class was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/main/lib/field_lazy_node.h